Sometimes rows are bound to data objects that contain more information than would fit easily on a regular grid.
In these scenarios, you may want to use the FlexGridDetailProvider class that is included with the wijmo.grid.detail module. The FlexGridDetailProvider will create a details section for each row that users can expand to see the rest of the data.
You can add anything you want to the detail row, including other grids. The sample below shows both how to display the data in another grid, as well as within standard HTML elements.
import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as wjCore from '@mescius/wijmo';
import * as wjOdata from '@mescius/wijmo.odata';
import * as wjGrid from '@mescius/wijmo.grid';
import * as wjGridDetail from '@mescius/wijmo.grid.detail';
import * as wjInput from '@mescius/wijmo.input';
//
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
//
// get OData categories and products
const url = 'https://services.odata.org/Northwind/Northwind.svc';
const categories = new wjOdata.ODataCollectionView(url, 'Categories', {
fields: ['CategoryID', 'CategoryName', 'Description']
});
const products = new wjOdata.ODataCollectionView(url, 'Products');
//
// shared column definitions
const categoryColumns = [
{ binding: 'CategoryName', header: 'Category Name', width: '*' },
{ binding: 'Description', header: 'Description', width: '2*' }
];
//
// get products for a given category
const _catToProductMap = new Map();
function getProducts(categoryID) {
let categoryProducts = _catToProductMap.get(categoryID);
if (!categoryProducts) {
categoryProducts = products.items.filter(product => (product.CategoryID === categoryID));
_catToProductMap.set(categoryID, categoryProducts);
}
return categoryProducts;
}
//
//
// grid with HTML detail
const htmlDetail = new wjGrid.FlexGrid('#htmlDetail', {
autoGenerateColumns: false,
columns: categoryColumns,
itemsSource: categories,
isReadOnly: true,
});
//
// html detail provider
const dpHtml = new wjGridDetail.FlexGridDetailProvider(htmlDetail, {
// use animation when showing details
isAnimated: true,
//
// create detail cells for a given row
createDetailCell: function (row) {
// build detail content for the current category
const cat = row.dataItem;
const prods = getProducts(cat.CategoryID);
let html = `ID: <b>${cat.CategoryID}</b><br />`;
html += `Name: <b>${cat.CategoryName}</b><br />`;
html += `Description: <b>${cat.Description}</b><br />`;
html += `Products: <b>${prods.length} items</b><br />`;
html += '<ol>';
prods.forEach(product => { html += `<li>${product.ProductName}</li>`; });
html += '</ol>';
//
// create and return detail cell
const cell = document.createElement('div');
cell.innerHTML = html;
return cell;
},
});
//
//
// grid with grid detail
const gridDetail = new wjGrid.FlexGrid('#gridDetail', {
autoGenerateColumns: false,
columns: categoryColumns,
itemsSource: categories,
isReadOnly: true,
});
//
// grid detail provider
const initialOptions = {
// specifies when and how the row details are displayed
detailVisibilityMode: wjGridDetail.DetailVisibilityMode.ExpandSingle,
//
// maximum height of the detail rows, in pixels
maxHeight: null,
//
// whether to use animation when showing row details
isAnimated: true,
//
// action to perform when the ENTER key is pressed
keyActionEnter: wjGridDetail.KeyAction.None,
//
// callback function that determines whether a row has details
rowHasDetail: null,
//
// function that creates detail cells
createDetailCell: function (row) {
const cell = document.createElement('div');
new wjGrid.FlexGrid(cell, {
headersVisibility: wjGrid.HeadersVisibility.Column,
isReadOnly: true,
autoGenerateColumns: false,
itemsSource: getProducts(row.dataItem.CategoryID),
columns: [
{ header: 'ID', binding: 'ProductID' },
{ header: 'Name', binding: 'ProductName' },
{ header: 'Qty/Unit', binding: 'QuantityPerUnit' },
{ header: 'Unit Price', binding: 'UnitPrice' },
{ header: 'Discontinued', binding: 'Discontinued' },
],
});
return cell;
},
};
const dpGrid = new wjGridDetail.FlexGridDetailProvider(gridDetail, initialOptions);
//
// create detailVisibilityMode selector
const detailVisibilityModeMenu = new wjInput.Menu('#detailVisibilityMode', {
selectedIndexChanged: (s, e) => {
if (s.selectedIndex > -1) {
formatMenuHeader(s);
dpGrid.detailVisibilityMode = s.selectedValue;
}
},
header: 'detailVisibilityMode',
displayMemberPath: 'header',
selectedValuePath: 'value',
itemsSource: [
{ header: 'Code', value: wjGridDetail.DetailVisibilityMode.Code },
{ header: 'Selection', value: wjGridDetail.DetailVisibilityMode.Selection },
{ header: 'ExpandSingle', value: wjGridDetail.DetailVisibilityMode.ExpandSingle },
{ header: 'ExpandMulti', value: wjGridDetail.DetailVisibilityMode.ExpandMulti },
],
});
detailVisibilityModeMenu.selectedValue = initialOptions.detailVisibilityMode;
//
// create maxHeight selector
const maxHeightMenu = new wjInput.Menu('#maxHeight', {
selectedIndexChanged: (s, e) => {
if (s.selectedIndex > -1) {
formatMenuHeader(s);
dpGrid.maxHeight = s.selectedValue;
}
},
header: 'maxHeight',
displayMemberPath: 'header',
selectedValuePath: 'value',
itemsSource: [
{ header: 'null', value: null },
{ header: '100', value: 100 },
{ header: '200', value: 200 },
{ header: '300', value: 300 },
{ header: '400', value: 400 },
{ header: '500', value: 500 },
],
});
maxHeightMenu.selectedValue = initialOptions.maxHeight;
//
// create isAnimated selector
const isAnimatedMenu = new wjInput.Menu('#isAnimated', {
selectedIndexChanged: (s, e) => {
if (s.selectedIndex > -1) {
formatMenuHeader(s);
dpGrid.isAnimated = s.selectedValue;
}
},
header: 'isAnimated',
displayMemberPath: 'header',
selectedValuePath: 'value',
itemsSource: [
{ header: 'False', value: false },
{ header: 'True', value: true },
],
});
isAnimatedMenu.selectedValue = initialOptions.isAnimated;
//
// create keyActionEnter selector
const keyActionEnterMenu = new wjInput.Menu('#keyActionEnter', {
selectedIndexChanged: (s, e) => {
if (s.selectedIndex > -1) {
formatMenuHeader(s);
dpGrid.keyActionEnter = s.selectedValue;
}
},
header: 'keyActionEnter',
displayMemberPath: 'header',
selectedValuePath: 'value',
itemsSource: [
{ header: 'None', value: wjGridDetail.KeyAction.None },
{ header: 'ToggleDetail', value: wjGridDetail.KeyAction.ToggleDetail },
],
});
keyActionEnterMenu.selectedValue = initialOptions.keyActionEnter;
//
// create rowDetails selector
const rowDetailsMenu = new wjInput.Menu('#rowDetails', {
selectedIndexChanged: (s, e) => {
if (s.selectedIndex > -1) {
formatMenuHeader(s);
dpGrid.rowHasDetail = s.selectedValue ? null : (row => !(row.dataItem.CategoryID % 2));
}
},
header: 'rowDetails',
displayMemberPath: 'header',
selectedValuePath: 'value',
itemsSource: [
{ header: 'All', value: true },
{ header: 'Even rows only', value: false },
],
});
rowDetailsMenu.selectedValue = initialOptions.rowHasDetail;
//
//
function formatMenuHeader(menu) {
let index = menu.header.indexOf(':');
if (index !== -1) {
menu.header = menu.header.substring(0, menu.header.indexOf(':')) +
wjCore.format(': <b>{header}</b>', menu.selectedItem);
}
else {
menu.header = menu.header + wjCore.format(': <b>{header}</b>', menu.selectedItem);
}
}
}
Submit and view feedback for

Sometimes rows are bound to data objects that contain more information than would fit easily on a regular grid.
In these scenarios, you may want to use the FlexGridDetailProvider class that is included with the wijmo.grid.detail module. The FlexGridDetailProvider will create a details section for each row that users can expand to see the rest of the data.
You can add anything you want to the detail row, including other grids. The sample below shows both how to display the data in another grid, as well as within standard HTML elements.
Learn about FlexGrid | FlexGrid API Reference
This example uses React.
import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useEffect, useRef, useState } from 'react';
import useEvent from 'react-use-event-hook';
import { FlexGrid, FlexGridColumn } from '@mescius/wijmo.react.grid';
import { FlexGridDetail } from '@mescius/wijmo.react.grid.detail';
import * as wjInput from '@mescius/wijmo.react.input';
import * as wjOdata from '@mescius/wijmo.odata';
import './app.css';
function App() {
const catToProductMap = useRef(new Map());
const [state, setState] = useState({
categories: [],
products: [],
detailVisibilityMode: 'ExpandSingle',
maxHeight: 0,
isAnimated: true,
keyActionEnter: 'None',
evenRowHasDetail: false,
});
useEffect(() => {
const url = 'https://services.odata.org/Northwind/Northwind.svc';
setState(Object.assign(Object.assign({}, state), { categories: new wjOdata.ODataCollectionView(url, 'Categories', {
fields: ['CategoryID', 'CategoryName', 'Description']
}), products: new wjOdata.ODataCollectionView(url, 'Products') }));
}, []);
const getProducts = (categoryID) => {
let categoryProducts = catToProductMap.current.get(categoryID);
if (!categoryProducts) {
categoryProducts = state.products.items.filter((product) => product.CategoryID === categoryID);
if (categoryProducts) {
catToProductMap.current.set(categoryID, categoryProducts);
}
}
return categoryProducts;
};
const rowHasDetailFn = useEvent((row) => !(row.dataItem.CategoryID % 2));
const clickHandlerFactory = (prop) => {
return (s, e) => {
if (s.selectedIndex > -1) {
setState((prevState) => (Object.assign(Object.assign({}, prevState), { [prop]: s.selectedValue })));
}
};
};
return (<div className="container-fluid">
<h3>HTML in Row Details</h3>
<p>
This grid shows product categories on each row. Expanding
the rows shows an HTML element with information about
the products in that category:
</p>
<FlexGrid itemsSource={state.categories} isReadOnly>
<FlexGridColumn header="Category Name" binding="CategoryName" width="*"/>
<FlexGridColumn header="Description" binding="Description" width="2*"/>
<FlexGridDetail isAnimated template={(ctx) => {
var _a, _b;
return (<React.Fragment>
ID: <b>{ctx.item.CategoryID}</b><br />
Name: <b>{ctx.item.CategoryName}</b><br />
Description: <b>{ctx.item.Description}</b><br />
Products: <b>{(_a = getProducts(ctx.item.CategoryID)) === null || _a === void 0 ? void 0 : _a.length} items</b><br />
<ol>
{(_b = getProducts(ctx.item.CategoryID)) === null || _b === void 0 ? void 0 : _b.map(p => <li key={p.ProductID}>{p.ProductName}</li>)}
</ol>
</React.Fragment>);
}}/>
</FlexGrid>
<h3>Grids in Row Details</h3>
<p>
You can add anything you want to the detail rows,
including other grids. This example shows the same
categories, but the detail row uses another grid
to show the products:
</p>
<FlexGrid itemsSource={state.categories} isReadOnly autoGenerateColumns={false}>
<FlexGridColumn header="Category Name" binding="CategoryName" width="*"/>
<FlexGridColumn header="Description" binding="Description" width="2*"/>
<FlexGridDetail detailVisibilityMode={state.detailVisibilityMode} maxHeight={state.maxHeight} isAnimated={state.isAnimated} keyActionEnter={state.keyActionEnter} rowHasDetail={state.evenRowHasDetail ? rowHasDetailFn : null} template={(ctx) => (<FlexGrid itemsSource={getProducts(ctx.item.CategoryID)} isReadOnly>
<FlexGridColumn header="ID" binding="ProductID"/>
<FlexGridColumn header="Name" binding="ProductName"/>
<FlexGridColumn header="Qty/Unit" binding="QuantityPerUnit"/>
<FlexGridColumn header="Unit Price" binding="UnitPrice"/>
<FlexGridColumn header="Discontinued" binding="Discontinued"/>
</FlexGrid>)}/>
</FlexGrid>
<div className="grid-options">
<wjInput.Menu header="detailVisibilityMode" value={state.detailVisibilityMode} itemClicked={clickHandlerFactory('detailVisibilityMode')}>
<wjInput.MenuItem value="Code">Code</wjInput.MenuItem>
<wjInput.MenuItem value="Selection">Selection</wjInput.MenuItem>
<wjInput.MenuItem value="ExpandSingle">ExpandSingle</wjInput.MenuItem>
<wjInput.MenuItem value="ExpandMulti">ExpandMulti</wjInput.MenuItem>
</wjInput.Menu>
<wjInput.Menu header="maxHeight" value={state.maxHeight} itemClicked={clickHandlerFactory('maxHeight')}>
<wjInput.MenuItem value={0}>null</wjInput.MenuItem>
<wjInput.MenuItem value={100}>100</wjInput.MenuItem>
<wjInput.MenuItem value={200}>200</wjInput.MenuItem>
<wjInput.MenuItem value={300}>300</wjInput.MenuItem>
<wjInput.MenuItem value={400}>400</wjInput.MenuItem>
<wjInput.MenuItem value={500}>500</wjInput.MenuItem>
</wjInput.Menu>
<wjInput.Menu header="isAnimated" value={state.isAnimated} itemClicked={clickHandlerFactory('isAnimated')}>
<wjInput.MenuItem value={true}>True</wjInput.MenuItem>
<wjInput.MenuItem value={false}>False</wjInput.MenuItem>
</wjInput.Menu>
<wjInput.Menu header="keyActionEnter" value={state.keyActionEnter} itemClicked={clickHandlerFactory('keyActionEnter')}>
<wjInput.MenuItem value="None">None</wjInput.MenuItem>
<wjInput.MenuItem value="ToggleDetail">ToggleDetail</wjInput.MenuItem>
</wjInput.Menu>
<wjInput.Menu header="rowDetails" value={state.evenRowHasDetail} itemClicked={clickHandlerFactory('evenRowHasDetail')}>
<wjInput.MenuItem value={false}>All</wjInput.MenuItem>
<wjInput.MenuItem value={true}>Even rows only</wjInput.MenuItem>
</wjInput.Menu>
</div>
</div>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
Submit and view feedback for

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
import '@angular/compiler';
import { Component, enableProdMode, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { ODataCollectionView } from '@mescius/wijmo.odata';
import { WjGridModule } from '@mescius/wijmo.angular2.grid';
import { WjGridDetailModule } from '@mescius/wijmo.angular2.grid.detail';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
const url = 'https://services.odata.org/Northwind/Northwind.svc';
@Component({
standalone: true,
imports: [WjGridModule, WjGridDetailModule, BrowserModule, WjInputModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
categories: ODataCollectionView;
products: ODataCollectionView;
private _catToProductMap: Map<string, any> = new Map();
constructor() {
this.categories = new ODataCollectionView(url, 'Categories', {
fields: ['CategoryID', 'CategoryName', 'Description'],
});
this.products = new ODataCollectionView(url, 'Products');
}
getProducts(categoryID: string): any[] {
let categoryProducts = this._catToProductMap.get(categoryID);
if (!categoryProducts) {
categoryProducts = this.products.items.filter((product) => product.CategoryID === categoryID);
this._catToProductMap.set(categoryID, categoryProducts);
}
return categoryProducts;
}
detailVisibilityMode = 'ExpandSingle';
maxHeight = 0;
isAnimated = true;
keyActionEnter = 'None';
readonly rowHasDetailFn = (row: any) => !(row.dataItem.CategoryID % 2);
evenRowHasDetail = false;
}
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexGrid Row Details</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="node_modules/core-js/client/shim.min.js"></script>
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<main class="container-fluid">
<h3>HTML in Row Details</h3>
<p>
This grid shows product categories on each row. Expanding
the rows shows an HTML element with information about
the products in that category:
</p>
<wj-flex-grid [itemsSource]="categories" [isReadOnly]="true">
<wj-flex-grid-column [header]="'Name'" [binding]="'CategoryName'"></wj-flex-grid-column>
<wj-flex-grid-column [header]="'Description'" [binding]="'Description'" [width]="'*'"></wj-flex-grid-column>
<ng-template wjFlexGridDetail [isAnimated]=true let-item="item">
ID: <b>{{item.CategoryID}}</b><br />
Name: <b>{{item.CategoryName}}</b><br />
Description: <b>{{item.Description}}</b><br />
Products: <b>{{getProducts(item.CategoryID).length}} items</b><br />
<ol>
@for (p of getProducts(item.CategoryID); track p;) {
<li>{{p.ProductName}}</li>
}
</ol>
</ng-template>
</wj-flex-grid>
<h3>Grids in Row Details</h3>
<p>
You can add anything you want to the detail rows,
including other grids. This example shows the same
categories, but the detail row uses another grid
to show the products:
</p>
<wj-flex-grid [autoGenerateColumns]=false [itemsSource]="categories" [isReadOnly]=true>
<wj-flex-grid-column [header]="'Category Name'" [binding]="'CategoryName'" [width]="'*'"></wj-flex-grid-column>
<wj-flex-grid-column [header]="'Description'" [binding]="'Description'" [width]="'2*'"></wj-flex-grid-column>
<ng-template wjFlexGridDetail let-item="item" [detailVisibilityMode]="detailVisibilityMode"
[maxHeight]="maxHeight" [isAnimated]="isAnimated" [keyActionEnter]="keyActionEnter"
[rowHasDetail]="evenRowHasDetail ? rowHasDetailFn : null">
<wj-flex-grid [itemsSource]="getProducts(item.CategoryID)" [isReadOnly]="true"
[headersVisibility]="'Column'">
<wj-flex-grid-column [header]="'ID'" [binding]="'ProductID'"></wj-flex-grid-column>
<wj-flex-grid-column [header]="'Name'" [binding]="'ProductName'"></wj-flex-grid-column>
<wj-flex-grid-column [header]="'Qty/Unit'" [binding]="'QuantityPerUnit'"></wj-flex-grid-column>
<wj-flex-grid-column [header]="'Unit Price'" [binding]="'UnitPrice'"></wj-flex-grid-column>
<wj-flex-grid-column [header]="'Discontinued'" [binding]="'Discontinued'"></wj-flex-grid-column>
</wj-flex-grid>
</ng-template>
</wj-flex-grid>
<div class="grid-options">
<wj-menu [(value)]="detailVisibilityMode" [header]="'detailVisibilityMode'">
<wj-menu-item [value]="'Code'">Code</wj-menu-item>
<wj-menu-item [value]="'Selection'">Selection</wj-menu-item>
<wj-menu-item [value]="'ExpandSingle'">ExpandSingle</wj-menu-item>
<wj-menu-item [value]="'ExpandMulti'">ExpandMulti</wj-menu-item>
</wj-menu>
<wj-menu [(value)]="maxHeight" [header]="'maxHeight'">
<wj-menu-item [value]="0">null</wj-menu-item>
<wj-menu-item [value]="100">100</wj-menu-item>
<wj-menu-item [value]="200">200</wj-menu-item>
<wj-menu-item [value]="300">300</wj-menu-item>
<wj-menu-item [value]="400">400</wj-menu-item>
<wj-menu-item [value]="500">500</wj-menu-item>
</wj-menu>
<wj-menu [(value)]="isAnimated" [header]="'isAnimated'">
<wj-menu-item [value]="true">True</wj-menu-item>
<wj-menu-item [value]="false">False</wj-menu-item>
</wj-menu>
<wj-menu [(value)]="keyActionEnter" [header]="'keyActionEnter'">
<wj-menu-item [value]="'None'">None</wj-menu-item>
<wj-menu-item [value]="'ToggleDetail'">ToggleDetail</wj-menu-item>
</wj-menu>
<wj-menu [(value)]="evenRowHasDetail" [header]="'rowDetails'">
<wj-menu-item [value]="false">All</wj-menu-item>
<wj-menu-item [value]="true">Even rows only</wj-menu-item>
</wj-menu>
</div>
</main>
.wj-flexgrid {
max-height: 350px;
}
body {
margin-bottom: 20pt;
}
.grid-options .wj-menu {
margin: 0.25em 0.5em 0.25em 0;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: 'node_modules/',
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm'
},
},
paths: {
// paths serve as alias
'npm:': ''
},
packageConfigPaths: [
'/node_modules/*/package.json',
"/node_modules/@angular/*/package.json",
"/node_modules/@mescius/*/package.json"
],
map: {
'core-js': 'https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js',
'typescript': 'https://cdnjs.cloudflare.com/ajax/libs/typescript/5.2.2/typescript.min.js',
"rxjs": "https://cdnjs.cloudflare.com/ajax/libs/rxjs/7.8.1/rxjs.umd.min.js",
'systemjs-plugin-css': 'https://cdn.jsdelivr.net/npm/systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.angular2.chart.analytics": "npm:@mescius/wijmo.angular2.chart.analytics/index.js",
"@mescius/wijmo.angular2.chart.animation": "npm:@mescius/wijmo.angular2.chart.animation/index.js",
"@mescius/wijmo.angular2.chart.annotation": "npm:@mescius/wijmo.angular2.chart.annotation/index.js",
"@mescius/wijmo.angular2.chart.finance.analytics": "npm:@mescius/wijmo.angular2.chart.finance.analytics/index.js",
"@mescius/wijmo.angular2.chart.finance": "npm:@mescius/wijmo.angular2.chart.finance/index.js",
"@mescius/wijmo.angular2.chart.hierarchical": "npm:@mescius/wijmo.angular2.chart.hierarchical/index.js",
"@mescius/wijmo.angular2.chart.interaction": "npm:@mescius/wijmo.angular2.chart.interaction/index.js",
"@mescius/wijmo.angular2.chart.radar": "npm:@mescius/wijmo.angular2.chart.radar/index.js",
'@mescius/wijmo.angular2.chart.map': 'npm:@mescius/wijmo.angular2.chart.map/index.js',
"@mescius/wijmo.angular2.chart": "npm:@mescius/wijmo.angular2.chart/index.js",
"@mescius/wijmo.angular2.core": "npm:@mescius/wijmo.angular2.core/index.js",
"@mescius/wijmo.angular2.gauge": "npm:@mescius/wijmo.angular2.gauge/index.js",
"@mescius/wijmo.angular2.grid.detail": "npm:@mescius/wijmo.angular2.grid.detail/index.js",
"@mescius/wijmo.angular2.grid.filter": "npm:@mescius/wijmo.angular2.grid.filter/index.js",
"@mescius/wijmo.angular2.grid.grouppanel": "npm:@mescius/wijmo.angular2.grid.grouppanel/index.js",
"@mescius/wijmo.angular2.grid.search": "npm:@mescius/wijmo.angular2.grid.search/index.js",
"@mescius/wijmo.angular2.grid.multirow": "npm:@mescius/wijmo.angular2.grid.multirow/index.js",
"@mescius/wijmo.angular2.grid.sheet": "npm:@mescius/wijmo.angular2.grid.sheet/index.js",
'@mescius/wijmo.angular2.grid.transposed': 'npm:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'npm:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
"@mescius/wijmo.angular2.grid": "npm:@mescius/wijmo.angular2.grid/index.js",
"@mescius/wijmo.angular2.input": "npm:@mescius/wijmo.angular2.input/index.js",
"@mescius/wijmo.angular2.olap": "npm:@mescius/wijmo.angular2.olap/index.js",
"@mescius/wijmo.angular2.viewer": "npm:@mescius/wijmo.angular2.viewer/index.js",
"@mescius/wijmo.angular2.nav": "npm:@mescius/wijmo.angular2.nav/index.js",
"@mescius/wijmo.angular2.directivebase": "npm:@mescius/wijmo.angular2.directivebase/index.js",
'@mescius/wijmo.angular2.barcode.common': 'npm:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'npm:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'npm:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js',
'@angular/core': 'npm:@angular/core/fesm2022/core.mjs',
'@angular/core/primitives/di': 'npm:@angular/core/fesm2022/primitives/di.mjs',
'@angular/core/primitives/signals': 'npm:@angular/core/fesm2022/primitives/signals.mjs',
'@angular/core/primitives/event-dispatch': 'npm:@angular/core/fesm2022/primitives/event-dispatch.mjs',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/http': 'npm:@angular/http/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: 'ts'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);

<template>
<div class="container-fluid">
<h3>HTML in Row Details</h3>
<p>
This grid shows product categories on each row. Expanding
the rows shows an HTML element with information about
the products in that category:
</p>
<wj-flex-grid :itemsSource="categories" :isReadOnly=true>
<wj-flex-grid-column header="Category Name" binding="CategoryName"></wj-flex-grid-column>
<wj-flex-grid-column header="Description" binding="Description" width="*"></wj-flex-grid-column>
<wj-flex-grid-detail :isAnimated=true v-slot="ctx">
ID: <b>{{ ctx.item.CategoryID }}</b><br />
Name: <b>{{ ctx.item.CategoryName }}</b><br />
Description: <b>{{ ctx.item.Description }}</b><br />
Products: <b>{{ getProducts(ctx.item.CategoryID).length }} items</b><br />
<ol>
<li v-for="p in getProducts(ctx.item.CategoryID)" v-bind:key="p.ProductID">{{ p.ProductName }}</li>
</ol>
</wj-flex-grid-detail>
</wj-flex-grid>
<h3>Grids in Row Details</h3>
<p>
You can add anything you want to the detail rows,
including other grids. This example shows the same
categories, but the detail row uses another grid
to show the products:
</p>
<wj-flex-grid :autoGenerateColumns=false :itemsSource="categories" :isReadOnly=true>
<wj-flex-grid-column header="Category Name" binding="CategoryName" width="*"></wj-flex-grid-column>
<wj-flex-grid-column header="Description" binding="Description" width="2*"></wj-flex-grid-column>
<wj-flex-grid-detail v-slot="ctx" :detailVisibilityMode="detailVisibilityMode" :maxHeight="maxHeight"
:isAnimated="isAnimated" :keyActionEnter="keyActionEnter"
:rowHasDetail="evenRowHasDetail ? rowHasDetailFn : null">
<wj-flex-grid :itemsSource="getProducts(ctx.item.CategoryID)" :isReadOnly="true"
headersVisibility="Column">
<wj-flex-grid-column header="ID" binding="ProductID"></wj-flex-grid-column>
<wj-flex-grid-column header="Name" binding="ProductName"></wj-flex-grid-column>
<wj-flex-grid-column header="Qty/Unit" binding="QuantityPerUnit"></wj-flex-grid-column>
<wj-flex-grid-column header="Unit Price" binding="UnitPrice"></wj-flex-grid-column>
<wj-flex-grid-column header="Discontinued" binding="Discontinued"></wj-flex-grid-column>
</wj-flex-grid>
</wj-flex-grid-detail>
</wj-flex-grid>
<div class="grid-options">
<wj-menu :header="'detailVisibilityMode'" :value="detailVisibilityMode"
:itemClicked="itemClicked.bind(this, 'detailVisibilityMode')">
<wj-menu-item :value="'Code'">Code</wj-menu-item>
<wj-menu-item :value="'Selection'">Selection</wj-menu-item>
<wj-menu-item :value="'ExpandSingle'">ExpandSingle</wj-menu-item>
<wj-menu-item :value="'ExpandMulti'">ExpandMulti</wj-menu-item>
</wj-menu>
<wj-menu :header="'maxHeight'" :value="maxHeight" :itemClicked="itemClicked.bind(this, 'maxHeight')">
<wj-menu-item :value="0">null</wj-menu-item>
<wj-menu-item :value="100">100</wj-menu-item>
<wj-menu-item :value="200">200</wj-menu-item>
<wj-menu-item :value="300">300</wj-menu-item>
<wj-menu-item :value="400">400</wj-menu-item>
<wj-menu-item :value="500">500</wj-menu-item>
</wj-menu>
<wj-menu :header="'isAnimated'" :value="isAnimated" :itemClicked="itemClicked.bind(this, 'isAnimated')">
<wj-menu-item :value="true">True</wj-menu-item>
<wj-menu-item :value="false">False</wj-menu-item>
</wj-menu>
<wj-menu :header="'keyActionEnter'" :value="keyActionEnter"
:itemClicked="itemClicked.bind(this, 'keyActionEnter')">
<wj-menu-item :value="'None'">None</wj-menu-item>
<wj-menu-item :value="'ToggleDetail'">ToggleDetail</wj-menu-item>
</wj-menu>
<wj-menu :header="'rowDetails'" :value="evenRowHasDetail"
:itemClicked="itemClicked.bind(this, 'evenRowHasDetail')">
<wj-menu-item :value="false">All</wj-menu-item>
<wj-menu-item :value="true">Even rows only</wj-menu-item>
</wj-menu>
</div>
</div>
</template>
<script setup>
import { ODataCollectionView } from "@mescius/wijmo.odata";
import { ref, onMounted } from "vue";
const categories = ref([]);
const products = ref([]);
const detailVisibilityMode = ref("ExpandSingle");
const maxHeight = ref(0);
const isAnimated = ref(true);
const keyActionEnter = ref("None");
const evenRowHasDetail = ref(false);
const _catToProductMap = ref(null);
const rowHasDetailFn = row => !(row.dataItem.CategoryID % 2);
onMounted(function () {
const url = "https://services.odata.org/Northwind/Northwind.svc";
categories.value = new ODataCollectionView(url, "Categories", {
fields: ["CategoryID", "CategoryName", "Description"],
});
products.value = new ODataCollectionView(url, "Products");
_catToProductMap.value = new Map();
});
function getProducts(categoryID) {
let categoryProducts = _catToProductMap.value.get(categoryID);
if (!categoryProducts) {
categoryProducts = products.value.items.filter((product) => product.CategoryID === categoryID);
_catToProductMap.value.set(categoryID, categoryProducts);
}
return categoryProducts;
}
function itemClicked(propref, s, e) {
if (s.selectedIndex > -1) {
if (propref == "detailVisibilityMode") {
detailVisibilityMode.value = s.selectedValue;
} else if (propref == "maxHeight") {
maxHeight.value = s.selectedValue;
} else if (propref == "isAnimated") {
isAnimated.value = s.selectedValue;
} else if (propref == "keyActionEnter") {
keyActionEnter.value = s.selectedValue;
} else if (propref == "evenRowHasDetail") {
evenRowHasDetail.value = s.selectedValue;
}
}
}
</script>
<style>
.wj-flexgrid {
max-height: 350px;
}
body {
margin-bottom: 20pt;
}
.grid-options .wj-menu {
margin: 0.25em 0.5em 0.25em 0;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo FlexGrid Row Details</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.21.5/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' }
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'npm:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'npm:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'npm:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'npm:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'npm:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'npm:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'npm:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'npm:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'npm:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'npm:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'npm:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'npm:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'npm:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'npm:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'npm:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'npm:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'npm:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'npm:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'npm:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'npm:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'npm:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'npm:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'npm:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'npm:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'npm:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'npm:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'npm:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'npm:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'npm:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'npm:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'npm:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'npm:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'npm:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'npm:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'npm:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'npm:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'npm:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'npm:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'npm:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'npm:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'npm:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'npm:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'npm:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'npm:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'npm:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'npm:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'npm:@mescius/wijmo.barcode.specialized/index.js',
"@mescius/wijmo.vue2.chart.analytics": "npm:@mescius/wijmo.vue2.chart.analytics/index.js",
"@mescius/wijmo.vue2.chart.animation": "npm:@mescius/wijmo.vue2.chart.animation/index.js",
"@mescius/wijmo.vue2.chart.annotation": "npm:@mescius/wijmo.vue2.chart.annotation/index.js",
"@mescius/wijmo.vue2.chart.finance.analytics": "npm:@mescius/wijmo.vue2.chart.finance.analytics/index.js",
"@mescius/wijmo.vue2.chart.finance": "npm:@mescius/wijmo.vue2.chart.finance/index.js",
"@mescius/wijmo.vue2.chart.hierarchical": "npm:@mescius/wijmo.vue2.chart.hierarchical/index.js",
"@mescius/wijmo.vue2.chart.interaction": "npm:@mescius/wijmo.vue2.chart.interaction/index.js",
"@mescius/wijmo.vue2.chart.radar": "npm:@mescius/wijmo.vue2.chart.radar/index.js",
'@mescius/wijmo.vue2.chart.map': 'npm:@mescius/wijmo.vue2.chart.map/index.js',
"@mescius/wijmo.vue2.chart": "npm:@mescius/wijmo.vue2.chart/index.js",
"@mescius/wijmo.vue2.core": "npm:@mescius/wijmo.vue2.core/index.js",
"@mescius/wijmo.vue2.gauge": "npm:@mescius/wijmo.vue2.gauge/index.js",
"@mescius/wijmo.vue2.grid.detail": "npm:@mescius/wijmo.vue2.grid.detail/index.js",
"@mescius/wijmo.vue2.grid.filter": "npm:@mescius/wijmo.vue2.grid.filter/index.js",
"@mescius/wijmo.vue2.grid.grouppanel": "npm:@mescius/wijmo.vue2.grid.grouppanel/index.js",
'@mescius/wijmo.vue2.grid.search': 'npm:@mescius/wijmo.vue2.grid.search/index.js',
"@mescius/wijmo.vue2.grid.multirow": "npm:@mescius/wijmo.vue2.grid.multirow/index.js",
"@mescius/wijmo.vue2.grid.sheet": "npm:@mescius/wijmo.vue2.grid.sheet/index.js",
'@mescius/wijmo.vue2.grid.transposed': 'npm:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'npm:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
"@mescius/wijmo.vue2.grid": "npm:@mescius/wijmo.vue2.grid/index.js",
"@mescius/wijmo.vue2.input": "npm:@mescius/wijmo.vue2.input/index.js",
"@mescius/wijmo.vue2.olap": "npm:@mescius/wijmo.vue2.olap/index.js",
"@mescius/wijmo.vue2.viewer": "npm:@mescius/wijmo.vue2.viewer/index.js",
"@mescius/wijmo.vue2.nav": "npm:@mescius/wijmo.vue2.nav/index.js",
"@mescius/wijmo.vue2.base": "npm:@mescius/wijmo.vue2.base/index.js",
'@mescius/wijmo.vue2.barcode.common': 'npm:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'npm:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'npm:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'npm:bootstrap/dist/css/bootstrap.min.css',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'@vue/compiler-dom':'npm:@vue/compiler-dom/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom':'npm:@vue/runtime-dom/dist/runtime-dom.global.prod.js',
'@vue/shared':'npm:@vue/shared/dist/shared.cjs.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
//'systemjs-plugin-vue': 'npm:systemjs-plugin-vue/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
wijmo: {
defaultExtension: 'js',
}
}
});
})(this);